ZIP_SET_DEFAULT_PASSWORD(3)

NAME
zip_set_default_password - set default password for encrypted files in zip

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

int
zip_set_default_password(zip_t *archive, const char *password);

DESCRIPTION
The zip_set_default_password() function sets the default password used when accessing encrypted files. If password is NULL, the default password is unset.

If you prefer a different password for single files, use zip_fopen_encrypted(3) instead of zip_fopen(3). Usually, however, the same password is used for every file in an zip archive.

RETURN VALUES
Upon successful completion 0 is returned. Otherwise, -1 is returned and the error information in archive is set to indicate the error.

ERRORS
zip_set_default_password() fails if:

[ZIP_ER_MEMORY]
    Required memory could not be allocated.

SEE ALSO
libzip(3), zip_fopen(3), zip_fopen_encrypted(3)

HISTORY
zip_set_default_password() was added in libzip 0.10.

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>